s3cmd (2.3.0-1~nd120+1) bookworm; urgency=medium

  * Backported for bookworm.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jun 2023 13:31:35 -0400

s3cmd (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Bump copyright years
  * Bump watch file to v4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Oct 2022 11:42:11 +0200

s3cmd (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Drop upstream patches
  * Bump std-version to 4.6.0, no changes required
  * Bump compat level to 13
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Oct 2021 06:37:23 +0200

s3cmd (2.1.0-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/1144.patch:
    - cherry-pick another Python 3.9 compatibility fix

  [ Anton Gladky ]
  * fix compatibility with Python 3.9
  * Add .gitlab-ci.yml

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 23:36:38 +0100

s3cmd (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository.

  [ Robinson Sathaseevan ]
  * Add debian/patches/fix-dictionary-changed-size-during-iteration.patch:
    - Issue caused by switching to python3 where .keys() on a dictionary
      no longer returns a copy of the keys (Closes: #885914)

  [ Gianfranco Costamagna ]
  * New upstream version 2.1.0
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 May 2020 11:55:22 +0200

s3cmd (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Drop patches, upstream
  * Bump std-version to 4.1.5, no changes required
  * Switch vcs fields to salsa.d.o
  * Switch repo to secure mode
  * Closes: #885914. maybe this is not really fixed upstream,
    but workarounds are shown in upstream ticket.
    https://github.com/s3tools/s3cmd/issues/945

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 12:57:44 +0200

s3cmd (2.0.1-3) unstable; urgency=medium

  * Team upload
  * Avoid the use of distutils at runtime. (Closes: #895560)

 -- Matthias Klose <doko@debian.org>  Mon, 30 Apr 2018 07:31:16 +0200

s3cmd (2.0.1-2) unstable; urgency=medium

  [ Nishanth Aravamudan <nish.aravamudan@canonical.com> ]
  * d/control: add run-time dependency on python3-distutils.
    - Upstream has required it in s3cmd since 2007.
    - LP: #1763398
    - Closes: #895560

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.4, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Apr 2018 19:09:38 +0200

s3cmd (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1 (Closes: #876662)
  * Bump std-version to 4.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2017 08:48:43 +0200

s3cmd (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * VCS in secure mode
  * Update standard version to 4.0.0
  * Bump compat level to 10
  * Switch to Python3
  * Update copyright file
  * move old pydist-overrides file to python3 version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2017 11:18:51 +0200

s3cmd (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    - drop all patches, merged upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jan 2016 17:34:55 +0100

s3cmd (1.6.0-2) unstable; urgency=medium

  * debian/patches/bac265c482cc9226ce1ad7bc67c07fa1e96b0571.patch:
    - clean up the temp files after permission denied error. (Closes: #800018)
    - thanks Conrad J.C. Hughes for the useful bug report!
    - thanks Florent Viard and Matt Domsch for the help and the fixes!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Oct 2015 11:40:16 +0200

s3cmd (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - drop all patches, merged upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Sep 2015 14:02:07 +0200

s3cmd (1.5.2-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * update my uid.

  [ Bart Martens ]
  * fix watch file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2015 11:05:59 +0200

s3cmd (1.5.2-3) unstable; urgency=medium

  * d/control: fix VCS field.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 12 Jun 2015 11:00:15 +0200

s3cmd (1.5.2-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control:
    - Move the VCS to collab-maint (PAPT rejected my application to the team).
    - Set Matt as maintainer and myself as uploader.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 06 May 2015 14:51:55 +0200

s3cmd (1.5.2-1) experimental; urgency=medium

  * Adopt package (Closes: #674916)

  [ Matt Domsch ]
  * New upstream release.
  * Update watch file.
  * Update homepage location.

  [ Gianfranco Costamagna ]
  * Change debian packaging to gpl-2+, to ease upstream patch forwarding.
  * Remove old scripts from rules file.
  * Add setuptools b-d, needed to build the package in a clean environment.
  * Update compat level to 9, no changes required.
  * Update std-version to 3.9.6, no changes required.
  * Use pybuild to simplify packaging style.
  * Remove s3cmd symlink.
  * Set Python Applications Packaging Team as maintainer.
  * Update VCS fields to git.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 16 Mar 2015 11:07:21 +0100

s3cmd (1.5.0~rc1-2) unstable; urgency=low

  * Add missing python-dateutil, python-magic dependencies
    (Closes: #754301, #718673).
  * debian/patches/do-not-loop-in-rb.patch. New patch (Closes: #750561).
  * debian/patches/return-non-zero-code-from-put-command. New patch
    (Closes: #669002).
  * debian/patches/manpage-sync-checks.patch. New patch (Closes: #534733).

 -- Mikhail Gusarov <dottedmag@debian.org>  Tue, 02 Sep 2014 19:45:02 +0200

s3cmd (1.5.0~rc1-1) experimental; urgency=low

  * Upstream release candidate.

 -- Mikhail Gusarov <dottedmag@debian.org>  Fri, 04 Jul 2014 12:16:27 +0200

s3cmd (1.5.0~20140213-1) experimental; urgency=low

  * New upstream snapshot (targeting experimental):
    - debian/rules: get-orig-source target.
    - debian/rules: force python_distutils build system to ignore
      Makefile.
    - debian/patches: refreshed, upstream patch dropped.
  * debian/control: Bump Standards-Version to 3.9.5, no changes needed.

 -- Mikhail Gusarov <dottedmag@debian.org>  Thu, 13 Feb 2014 16:55:35 +0100

s3cmd (1.1.0~beta3-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stefano Rivera ]
  * Team upload.
  * Fix crash in multi-part uploads (Closes: #683558, LP: #1188160)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 27 Jun 2013 14:25:05 +0200

s3cmd (1.1.0~beta3-1) unstable; urgency=low

  * New upstream release:
    - debian/patches: refresh.

 -- Mikhail Gusarov <dottedmag@debian.org>  Mon, 28 May 2012 17:56:55 +0200

s3cmd (1.0.0-3) unstable; urgency=low

  * Do not FTBFS if built twice in a row (Closes: #671219).

 -- Mikhail Gusarov <dottedmag@debian.org>  Fri, 04 May 2012 00:01:18 +0200

s3cmd (1.0.0-2) unstable; urgency=low

  * debian/control: Bump Standards-Version, no changes required.
  * Switch to use dh(1).
  * Drop pre-python-2.5 stanza from debian/control.
  * Update debian/copyright to version 1.0 of machine-readable format.
  * Post-Squeeze removal of s3cmd.preinst.

 -- Mikhail Gusarov <dottedmag@debian.org>  Thu, 22 Mar 2012 23:04:45 +0100

s3cmd (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version, no changes required.
  * Switch package format to 3.0 (quilt):
    - debian/control: drop quilt from Build-Depends.
    - debian/rules: simplify.
    - debian/README.source: drop.
  * Add debian/patches/fix-mangpage-typos.patch to correct typos catched
    by lintian.

 -- Mikhail Gusarov <dottedmag@debian.org>  Mon, 28 Mar 2011 12:09:17 +0200

s3cmd (0.9.9.91-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version, no changes required.
  * Drop XS-Python-Version: Debian does not have Python < 2.4 anymore.
  * Drop unused XB-Python-Version.
  * Fix preinst script: it errorneously contained 0.14-1 as a first
    python-support-managed version, not 0.9.9-2.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 20 Oct 2009 01:53:35 +0700

s3cmd (0.9.9-2) unstable; urgency=low

  * Switched to python-support.
    - added preinst script to de-register from pycentral.
  * Standards-Version bumped to 3.8.1, no changes needed.
  * Private python modules were moved to /usr/share/s3cmd:
    - debian/s3cmd.dirs
    - debian/rules changed accordingly
  * debian/rules cleanup
  * python-all-dev build-dependency relaxed to python, as no binary
    modules are built.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 13 Apr 2009 05:08:02 +0700

s3cmd (0.9.9-1) unstable; urgency=low

  * New upstream release.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 17 Feb 2009 12:21:03 +0600

s3cmd (0.9.9~rc3-1) unstable; urgency=low

  [ Mikhail Gusarov ]
  * New upstream release.
  * debian/watch:
    - 0.9.9-rc3-speedup tarball should not be considered.
  * debian/control:
    - package description expanded, as suggested by Lintian.
  * debian/rules:
    - deprecated dh_clean -k replaced with dh_prep.

  [ Piotr Ożarowski ]
  * debian/watch file updated to handle -rc and -pre versions correctly

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 17 Feb 2009 01:27:27 +0600

s3cmd (0.9.8.4-1) unstable; urgency=low

  [Mikhail Gusarov]
  * New upstream release.

  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 09 Dec 2008 01:56:19 +0600

s3cmd (0.9.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 06 Sep 2008 19:58:37 +0700

s3cmd (0.9.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 05 Jul 2008 14:35:07 +0700

s3cmd (0.9.8.1-1) unstable; urgency=low

  * New upstream release.
  * Package is now maintained in PAPT:
    - PAPT added to Uploaders.
  * debian/rules cleaned up:
    - no need to have empty configure target
    - fixed quilt usage
  * debhelper compatibility level bumped to 7:
    - bumped debhelper build-dependency.
  * Section changed to utils.
  * python-elementtree dependency changed to python2.5 |
    python-elementtree to use ElementTree bundled in 2.5
  * Vcs-{Svn,Browser} added.
  * Standards-Version bumped to 3.8.0:
    - debian/README.source added

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 03 May 2008 14:30:29 +0700

s3cmd (0.9.6-1) unstable; urgency=low

  * New upstream release (Closes: #471698).
  * Bumped Standards-Version (no changes required).
  * Bumped python-central dependency to >= 0.6 to get rid of empty
    /usr/lib directory.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 31 Mar 2008 23:52:49 +0700

s3cmd (0.9.5-1) unstable; urgency=low

  * New upstream release
    - do-not-check-elementtree-at-build-time.patch refreshed.

  * Homepage moved from description to debian/control field.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Wed, 14 Nov 2007 03:04:49 +0600

s3cmd (0.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #438933).
  * Do not build for python2.3 as suggested by author (Closes: #432705).
  * No longer ship s3cmd.1 or setup.py in debian/ - upstream ones are ok.
  * Quilt is used to manage patches.
    - do-not-check-elementtree-at-build-time.patch added - ElementTree is
      only runtime dependency, no need to check it at build time.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Fri, 24 Aug 2007 23:17:27 +0700

s3cmd (0.9.3-1) unstable; urgency=low

  * Initial revision. (Closes: #427414)

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 09 Jun 2007 20:42:11 +0700
